datablock MissionMarkerData(SpawnMarker)
{
   category = "Markers";
   shapeFile = "~/data/models/markers/sphere.dts";
};

function MissionMarkerData::Create(%block)
{
   switch$(%block)
   {
      case "SpawnMarker":
         %obj = new SpawnSphere() {
            datablock = %block;
         };
         return(%obj);
   }
   return -1;
}
